def open(*args):
    """
    Opens the python scripts from provided paths.
    """
    import sys
    from PyQt5.QtWidgets import QApplication
    from visualscript.editor.editor_window import EditorWindow

    app = QApplication(sys.argv)
    app.setStyle('Fusion')

    wnd = EditorWindow()
    wnd.show()

    wnd.onFileOpen(args)

    sys.exit(app.exec_())


def open_this():
    """
    Opens the script that called this function.
    """
    import inspect
    import pathlib
    stack = inspect.stack()

    caller_frame = stack[1]
    caller_filename = caller_frame.filename
    open(pathlib.Path(caller_filename).resolve())