import re
from PyQt5.QtCore import Qt
from PyQt5.QtWidgets import QWidget, QVBoxLayout, QTextEdit
from visualscript.editor.core.models.element_browsers.attribute_browser import AttributeBrowser
from visualscript.editor.core.models.blueprint_properties_widget import BlueprintPropertiesWidget

class PropertiesWidget(QWidget):
    def __init__(self, parent=None):
        super().__init__(parent)
        self.init_UI()

    def init_UI(self):
        layout = QVBoxLayout(self)
        self.search_bar = QTextEdit(self)
        self.search_bar.setMinimumWidth(125)
        self.search_bar.setMaximumHeight(25)
        layout.addWidget(self.search_bar)
        self.browser = AttributeBrowser(None, self)
        self.search_bar.textChanged.connect(self.browser.filter_tree)
        layout.addWidget(self.browser)
        self.setLayout(layout)

    def reload(self, module):
        self.browser.reload(module)

    @property
    def module(self):
        return self.browser.module
