from visualscript.editor.config import register_node
from visualscript.editor.core.models.data_types import WILDCARD
from visualscript.editor.core.models.node import Node
from visualscript.editor.core.models.socket_contents.socket_text_content import SocketTextContent

@register_node()
class StringNode(Node):
    title = "Make String"
    category = "Default"
    color = "#FF116111"
    tooltip = "String value"

    def __init__(self, scene, title=title, input_types=[], output_types=[]):
        super().__init__(scene, title, input_types, [WILDCARD, *output_types])
        try:
            self.outputs[0].content = SocketTextContent(self.outputs[0])
        except Exception as e:
            print(e)
        self.graphics.corner_roundness_margin_scale = 0
        self.graphics.update_sockets_pos()
        # self.add_signals({self.outputs[0].content.graphics.editText.textChanged: self.text_changed})

    def text_changed(self):
        self.graphics.update_sockets_pos()
        self.graphics.refresh_shape()

    def get_value(self, index=0):
        return self.outputs[0].content.get_value()

    def update(self):
        for node in self.outputs[0].get_connected_nodes():
            node.update()